aboutsummaryrefslogtreecommitdiffstats
path: root/jsaccess/tests/test_store.sh
diff options
context:
space:
mode:
authorLaurent Ghigonis <laurent@p1sec.com>2013-06-18 12:59:04 +0200
committerLaurent Ghigonis <laurent@p1sec.com>2013-06-18 12:59:04 +0200
commit9d8d6e2cacc4b66499dd233432869ef17151a733 (patch)
tree73dcaa629323398bf5d7e457de215ff717c09e96 /jsaccess/tests/test_store.sh
parentjsaccess: main Makefile (diff)
downloadlaurent-tools-9d8d6e2cacc4b66499dd233432869ef17151a733.tar.xz
laurent-tools-9d8d6e2cacc4b66499dd233432869ef17151a733.zip
jsaccess: naming
Diffstat (limited to 'jsaccess/tests/test_store.sh')
-rwxr-xr-xjsaccess/tests/test_store.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/jsaccess/tests/test_store.sh b/jsaccess/tests/test_store.sh
index c22ce26..70e44f5 100755
--- a/jsaccess/tests/test_store.sh
+++ b/jsaccess/tests/test_store.sh
@@ -1,8 +1,8 @@
#!/bin/sh
-# Unittests for jsaccess store.sh
+# Unittests for jsaccess jstore.sh
-storesh=../store.sh
+jstoresh=../jstore.sh
TMP=test_store.tmp
export JSA_PASS=jsa_unittest_passphrase
export JSA_FORCE=1
@@ -10,54 +10,54 @@ export JSA_FORCE=1
echo
echo "=== INIT ==="
-$storesh init store ||exit 1
+$jstoresh init store ||exit 1
[ -d store ] ||exit 2
echo
echo "=== LOCAL ==="
-$storesh add example.txt ||exit 10
+$jstoresh add example.txt ||exit 10
[ -d ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/ ] ||exit 11
[ -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 12
-$storesh ls > $TMP ||exit 20
+$jstoresh ls > $TMP ||exit 20
[ `grep -c "example.txt" $TMP` -eq 1 ] || exit 21
rm $TMP
-$storesh rm example.txt ||exit 30
+$jstoresh rm example.txt ||exit 30
[ ! -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 31
-$storesh ls > $TMP ||exit 40
+$jstoresh ls > $TMP ||exit 40
[ `grep -c "example.txt" $TMP` -eq 0 ] || exit 41
rm $TMP
-$storesh add example.txt ||exit 50
+$jstoresh add example.txt ||exit 50
[ -d ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/ ] ||exit 51
[ -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 52
-$storesh rmall ||exit 60
+$jstoresh rmall ||exit 60
[ ! -d ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/ ] ||exit 61
-$storesh add example.txt ||exit 70
+$jstoresh add example.txt ||exit 70
[ -d ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/ ] ||exit 71
[ -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 72
echo
echo "=== DEPLOY ==="
-$storesh rset clone_store ||exit 100
+$jstoresh rset clone_store ||exit 100
echo clone_store |diff -u - ./store/.rsync_uri ||exit 101
-$storesh rget > $TMP ||exit 110
+$jstoresh rget > $TMP ||exit 110
[ `grep -c "rsync_uri: clone_store" $TMP` -eq 1 ] || exit 21
-$storesh push ||exit 120
+$jstoresh push ||exit 120
[ -f ./clone_store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 121
echo
echo "=== WIPE ==="
-$storesh wipe store ||exit 200
+$jstoresh wipe store ||exit 200
[ ! -d store ] ||exit 201
rm -rf ./clone_store/